package com.ss.android.ugc.aweme.base.component;

import X.0CB;
import X.0CH;
import X.0CN;
import X.6Is;
import X.C27193Qp;
import X.Lw5;
import android.app.Activity;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;

public abstract class BaseLoginActivityComponent implements 6Is, Lw5 {
    static {
        Covode.recordClassIndex(54204);
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public void onDestroy() {
    }

    public void onStateChanged(0CH r2, 0CB r3) {
        if (r3 == 0CB.ON_DESTROY) {
            onDestroy();
        }
    }

    public void LIZ(Activity activity, String str, String str2, Bundle bundle, C27193Qp r6) {
        if (activity instanceof 0CH) {
            ((0CH) activity).getLifecycle().LIZ(this);
        }
        if (bundle == null) {
            bundle = new Bundle();
        }
        bundle.putString("enter_from", str);
        bundle.putString("enter_method", str2);
    }

    public void LIZ(Fragment fragment, String str, String str2, Bundle bundle, C27193Qp r6) {
        fragment.getLifecycle().LIZ(this);
        if (bundle == null) {
            bundle = new Bundle();
        }
        bundle.putString("enter_from", str);
        bundle.putString("enter_method", str2);
    }
}
